# Interface DynamicSizedSchedulerInterface

All Superinterfaces:
  `AutoCloseable, Executor, ExecutorService, ScheduledExecutorService`

All Known Implementing Classes:
  `DynamicSizedSchedulerImpl`

public interface DynamicSizedSchedulerInterface extends ScheduledExecutorService

## Method Summary

Modifier and Type
Method
Description
`void`
`setPoolSize(int newSize)`
Update the pool thread count with this new value.

### Methods inherited from interface Executor

`execute`

### Methods inherited from interface ExecutorService

`awaitTermination, close, invokeAll, invokeAll, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow, submit, submit, submit`

### Methods inherited from interface ScheduledExecutorService

`schedule, schedule, scheduleAtFixedRate, scheduleWithFixedDelay`

## Method Details

### setPoolSize

void setPoolSize(int newSize)
Update the pool thread count with this new value.

Parameters:
  `newSize` - New pool size that is superior to 0